#!/bin/awk -f

BEGIN {
    if (!param) {
	print "Error: missing \"param\", run with 'gawk -v param=<param> ...'" > "/dev/stderr"
	exit 1
    }
    param_read = 0
    param_reg = "(^[[:space:]]*" param "[[:space:]]*=)([^#]*)?(#.*)?$"
}

function trim(arg) {
    gsub(/^[[:space:]]+/,"", arg)
    gsub(/[[:space:]]+$/,"", arg)
    return arg
}

// {
    if ($0 ~ param_reg) {
	if (param_read) {
	    print "Warning: duplicated param \"" param "\"" > "/dev/stderr"
	} else {
	    print trim(gensub(param_reg,"\\2","",$0))
	    param_read = 1
	}
    }
}

END {
    if (!param)
	exit 1
    if (!param_read) {
	print "Error: param \"" param  "\" not found" > "/dev/stderr"
	exit 2
    }
}
