#!/bin/bash

[ -z "$1" ] || [ -z "$2" ] && \
echo "Error: missing <system> or <method>" >&2 && exit 1

system="$1"
method="$2"

echo "$system" | egrep -q '[ |"]' && \
echo "Error: space and \" disallowed in <system>" >&2 && exit 2

echo "$method" | egrep -q '[ |"]' && \
echo "Error: space and \" disallowed in <method>" >&2 && exit 2

# synbak functions.sh uses uninitialized var $file_status_config_field_import
file_status_config_field_import="/dev/null"

usr_dir="${HOME}/.synbak"
usr_file_conf="${usr_dir}/${method}/${system}.conf"

check_usr_file_conf() {
    if [ ! -f "$usr_file_conf" ]; then 
        echo "Error: missing config for given <system> and <method>" >&2
        exit 3
    fi
}
