#!/bin/awk -f

BEGIN {
    fail = 0
    if (!param) {
	print "Error: missing \"param\", run with 'gawk -v param=<param> -v value=<value> ...'" > "/dev/stderr"
	fail = 1
	exit 1
    }
    param_inserted = 0
    param_reg = "(^[[:space:]]*" param "[[:space:]]*=)([^#]*)?(#.*)?$"
    if (value ~ /"|[[:cntrl:]]/) {
	print "Error: control chars and \" not allowed in param value" > "/dev/stderr"
	fail = 1
	exit 2
    }
}

// {
    if ($0 ~ param_reg) {
	if (param_inserted) {
	    print "Warning: duplicated param \"" param "\"" > "/dev/stderr"
	}
        print gensub(param_reg,"\\1 " value "\t\t\\3","",$0)
	param_inserted = 1
    } else {
	print $0
    }
}

END {
    if (!param_inserted && !fail) {
	print param "\t\t= " value
    }
}
