#!/bin/bash

# Write parameter for given system/method
# Usage: write-param.sh <system> <method> <param> [value]

. "${0%/*}/synbak-utils-functions.sh"

[ -z "$3" ] && \
echo "Error: missing <param>" >&2 && exit 1

param="$3"
value="$4"

check_usr_file_conf

TMPFILE=`mktemp -t synbak-utils.XXXXXXXX`

# Prepare values with escaped spaces for passing to awk
value=$(echo "$value" | sed -e 's/\\/\\\\\\\\/g')

cat "$usr_file_conf" | "${0%/*}/write-param.awk" -v param="$param" -v value="$value" > "$TMPFILE" || exit 2
cat "$TMPFILE" > "$usr_file_conf" || exit 3
rm -f "$TMPFILE"
